From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyzotero/
Date: Wed, 11 Aug 2021 07:06:12 +0000 (UTC) [thread overview]
Message-ID: <1628665564.cbd0dc8c500eb6aebb80cedf6c25c53e344b25f8.mgorny@gentoo> (raw)
commit: cbd0dc8c500eb6aebb80cedf6c25c53e344b25f8
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 11 06:50:22 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 11 07:06:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbd0dc8c
dev-python/pyzotero: Bump to 1.4.25
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyzotero/Manifest | 1 +
dev-python/pyzotero/pyzotero-1.4.25.ebuild | 39 ++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/pyzotero/Manifest b/dev-python/pyzotero/Manifest
index e28cd4dd12c..7247873b4ce 100644
--- a/dev-python/pyzotero/Manifest
+++ b/dev-python/pyzotero/Manifest
@@ -1 +1,2 @@
DIST pyzotero-1.4.24.tar.gz 521403 BLAKE2B 225c881f85be6b04d54975b40d4254588214ee84974103dfe2cd64db01f586e93379e21ca537f1356c798125e149b15b326832abe172f029e8841d879650df84 SHA512 f2a1ac00c331efbfe32e00d8281d36cdf8112f68a5c3851cb34625090bfe8dec81d1afec86e4af9ae477df6855eb42ced75e942b18589564f9d04351117f0d05
+DIST pyzotero-1.4.25.tar.gz 521569 BLAKE2B ce4e3587667078d295c0d2b7d0695aba0b9da22d40caa3aff405a6ed88b3061693d0d9d0db5bfdde074a3003b088705ed5c9443f3fa0f156d803114b25288b2b SHA512 d00d30da57d7f988b9e301d496a26bd983933567ffeb87d6d494dd7c93290315ad7fda8e791c4be382bedfda51ab5928ed37230f6649f60ce731f6b2f8ddfd39
diff --git a/dev-python/pyzotero/pyzotero-1.4.25.ebuild b/dev-python/pyzotero/pyzotero-1.4.25.ebuild
new file mode 100644
index 00000000000..9a0a80f1c02
--- /dev/null
+++ b/dev-python/pyzotero/pyzotero-1.4.25.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="A Python client for the Zotero API"
+HOMEPAGE="https://github.com/urschrei/pyzotero"
+SRC_URI="https://github.com/urschrei/pyzotero/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-text/zotero-bin
+ dev-python/bibtexparser[${PYTHON_USEDEP}]
+ <dev-python/feedparser-6[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # do not install tests
+ sed -i "s/find_packages(),/find_packages(exclude=('test*')),/g" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2021-08-11 7:06 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-08-11 7:06 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-21 4:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyzotero/ Michał Górny
2025-03-21 4:12 Michał Górny
2025-03-20 6:49 Michał Górny
2025-02-19 7:56 Michał Górny
2025-02-19 7:56 Michał Górny
2025-01-24 7:21 Michał Górny
2025-01-23 5:39 Michał Górny
2025-01-22 7:21 Michał Górny
2025-01-08 9:12 Michał Górny
2025-01-08 9:12 Michał Górny
2025-01-01 6:11 Michał Górny
2025-01-01 6:11 Michał Górny
2024-12-27 5:24 Michał Górny
2024-12-26 7:50 Michał Górny
2024-12-26 7:50 Michał Górny
2024-12-04 7:46 Michał Górny
2024-12-04 7:46 Michał Górny
2024-11-30 6:52 Michał Górny
2024-11-30 6:52 Michał Górny
2024-09-13 3:12 Michał Górny
2024-09-13 3:12 Michał Górny
2024-07-05 11:34 Andrew Ammerlaan
2024-05-17 6:25 Michał Górny
2023-10-05 13:56 Michał Górny
2023-10-04 17:43 Michał Górny
2023-10-02 18:35 Arthur Zamarin
2023-10-02 4:46 Michał Górny
2023-09-14 11:02 Andrew Ammerlaan
2023-08-27 15:59 Michał Górny
2023-07-24 11:33 Michał Górny
2023-04-25 2:02 Michał Górny
2023-03-16 4:07 Michał Górny
2023-01-10 14:31 Michał Górny
2022-11-14 5:05 Michał Górny
2022-07-05 19:36 Arthur Zamarin
2022-06-01 10:55 Andrew Ammerlaan
2022-05-16 13:27 Michał Górny
2022-05-16 13:27 Michał Górny
2022-05-03 8:27 Michał Górny
2022-05-02 10:18 Andrew Ammerlaan
2022-05-02 10:18 Andrew Ammerlaan
2022-03-09 20:29 Arthur Zamarin
2022-02-26 17:21 Michał Górny
2022-02-26 17:21 Michał Górny
2022-01-06 18:30 Arthur Zamarin
2022-01-05 17:18 Arthur Zamarin
2021-12-14 12:29 Michał Górny
2021-10-17 9:25 Michał Górny
2021-10-12 6:18 Michał Górny
2021-08-11 7:06 Michał Górny
2021-08-11 7:06 Michał Górny
2021-07-06 8:09 Michał Górny
2021-07-06 8:09 Michał Górny
2021-06-17 19:47 Michał Górny
2021-06-10 16:47 Michał Górny
2021-06-10 16:47 Michał Górny
2021-05-22 20:55 Andrew Ammerlaan
2021-05-22 13:24 Andrew Ammerlaan
2021-05-22 12:17 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1628665564.cbd0dc8c500eb6aebb80cedf6c25c53e344b25f8.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox